dropbearconvert(1)

NAME
dropbearconvert - convert between Dropbear and OpenSSH private key formats

SYNOPSIS
dropbearconvert input_type output_type input_file output_file

DESCRIPTION
Dropbear and OpenSSH SSH implementations have different private key formats. dropbearconvert can convert between the two.

Dropbear uses the same SSH public key format as OpenSSH, it can be extracted from a private key by using dropbearkey -y

Encrypted private keys are not supported, use ssh-keygen(1) to decrypt them first.

OPTIONS

input type
    Either dropbear or openssh

output type
    Either dropbear or openssh

input file
    An existing Dropbear or OpenSSH private key file

output file
    The path to write the converted private key file

EXAMPLE
 # dropbearconvert openssh dropbear ~/.ssh/id_rsa ~/.ssh/dropbear_priv

AUTHOR
Matt Johnston (matt@ucc.asn.au).

SEE ALSO
 dropbearkey(1), ssh-keygen(1)

https://matt.ucc.asn.au/dropbear/dropbear.html